Bug 1273647 - instack-undercloud: python-tripleoclient: export RDO_RELEASE='liberty' doesn't work as expected for building images.
instack-undercloud: python-tripleoclient: export RDO_RELEASE='liberty' doesn...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: instack-undercloud (Show other bugs)
Liberty
x86_64 Linux
high Severity high
: ---
: Liberty
Assigned To: John Trowbridge
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 17:09 EDT by Alexander Chuzhoy
Modified: 2016-04-18 02:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-tripleoclient-0.0.11-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2015-10-20 17:09:49 EDT
instack-undercloud: python-tripleoclient: export RDO_RELEASE='liberty'  doesn't work as expected for building images.

Environment:
instack-0.0.8-1.el7.noarch
instack-undercloud-2.1.3-1.el7.noarc
python-tripleoclient-0.0.11-2.el7.noarch


Steps to reproduce:
1. deploy the undercloud
2. yum clean all 
3. rm -rf  /var/cache/yum/x86_64/7/centos-openstack-liberty-test/  
4. export RDO_RELEASE='liberty' 
5. openstack overcloud image build --all


Result:
Not all the images are built.


Expected result:

ironic-python-agent,overcloud, deploy images should be built.
Comment 1 John Trowbridge 2015-10-20 17:14:03 EDT
Fixed in python-tripleoclient-0.0.11-3
Comment 2 Alan Pevec 2015-10-20 17:36:19 EDT
In liberty-testing repo
http://buildlogs.centos.org/centos/7/cloud/x86_64/openstack-liberty/
Comment 3 Alexander Chuzhoy 2015-10-21 11:14:34 EDT
Verified:

Environment:
python-tripleoclient-0.0.11-3.el7.noarch


Was able to build the images.

Note You need to log in before you can comment on or make changes to this bug.